Bug 502496 - thunderbird-lightning won't load into provided thunderbird
thunderbird-lightning won't load into provided thunderbird
Status: CLOSED DUPLICATE of bug 517675
Product: Fedora
Classification: Fedora
Component: sunbird (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 10:15 EDT by Kevin DeKorte
Modified: 2009-08-17 07:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 07:31:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2009-05-25 10:15:54 EDT
Description of problem:
thunderbird-lightning won't load as extension, due to version mismatch

Version-Release number of selected component (if applicable):
thunderbird-lightning-1.0-0.3.20090302hg.fc11.x86_64
thunderbird-3.0-2.4.b3pre.hg.6a6386c16e98.fc11.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install thunderbird-lightning
2. Check extensions, lightning is disabled due to version mismatch
3.
  
Actual results:
plugin is disabled

Expected results:
plugin should be enabled

Additional info:
Edit the file /usr/lib64/thunderbird-lightning/install.rdf and change

The maxversion version from 3.0b2 to just 3.0

    <em:targetApplication>
      <Description>
        <!-- thunderbird -->
        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
        <em:minVersion>3.0b2pre</em:minVersion>
        <em:maxVersion>3.0</em:maxVersion>
      </Description>
    </em:targetApplication>

And then the plugin will load.
Comment 1 Jochen Schmitt 2009-06-01 15:22:45 EDT
I have reassign this ticket, because the package 'lightning' has nothing to do with the lightning extension for thunderbid.
Comment 2 Kevin DeKorte 2009-06-01 15:32:56 EDT
Based on the info from the package, looks like this needs to go to sunbird

rpm -qi thunderbird-lightning
Name        : thunderbird-lightning        Relocations: (not relocatable)
Version     : 1.0                               Vendor: Fedora Project
Release     : 0.3.20090302hg.fc11           Build Date: Tue 12 May 2009 02:07:26 PM MDT
Install Date: Mon 25 May 2009 08:09:05 AM MDT      Build Host: x86-6.fedora.phx.redhat.com
Group       : Applications/Productivity     Source RPM: sunbird-1.0-0.3.20090302hg.fc11.src.rpm
Size        : 2377450                          License: MPLv1.1 or GPLv2+ or LGPLv2+
Signature   : RSA/8, Wed 13 May 2009 01:01:43 PM MDT, Key ID 1dc5c758d22e77f2
Packager    : Fedora Project
URL         : http://www.mozilla.org/projects/calendar/sunbird/
Summary     : The calendar extension to Thunderbird
Description :
Lightning brings the Sunbird calendar to the popular email client,
Mozilla Thunderbird. Since it's an extension, Lightning is tightly
integrated with Thunderbird, allowing it to easily perform email-related
calendaring tasks.
Comment 3 Matěj Cepl 2009-06-01 17:57:41 EDT
(In reply to comment #1)
> I have reassign this ticket, because the package 'lightning' has nothing to do
> with the lightning extension for thunderbid.  

I am sorry, I've got with this trap couple of times. Sorry.
Comment 4 Lubomir Rintel 2009-06-02 03:42:33 EDT
No thunderbird-3.0-2.4.b3pre.hg.6a6386c16e98.fc11.x86_64 was pushed to stable.
You probably use testing.
Comment 5 Kevin DeKorte 2009-06-02 08:45:03 EDT
This is the thunderbird I am using...

rpm -q thunderbird
thunderbird-3.0-2.4.b3pre.hg.6a6386c16e98.fc11.x86_64


Thunderbird is not the problem, the problem is in thunderbird-lightning

rpm -q thunderbird-lightning
thunderbird-lightning-1.0-0.3.20090302hg.fc11.x86_64


And it needs its install.rdf file fixed so that it will load into b3pre of thunderbird.
Comment 6 Bug Zapper 2009-06-09 12:32:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Felix Schwarz 2009-08-17 07:15:39 EDT
imho this is a dup of bug 517675
Comment 8 Lubomir Rintel 2009-08-17 07:31:26 EDT

*** This bug has been marked as a duplicate of bug 517675 ***

Note You need to log in before you can comment on or make changes to this bug.